[arch-commits] CVS update of extra/multimedia/ivtv (3 files)

Tobias Powalowski tpowa at archlinux.org
Sun Apr 29 08:42:41 UTC 2007


    Date: Sunday, April 29, 2007 @ 04:42:41
  Author: tpowa
    Path: /home/cvs-extra/extra/multimedia/ivtv

   Added: kernel-2.6.21.patch (1.1)
Modified: PKGBUILD (1.33 -> 1.34) ivtv.install (1.7 -> 1.8)

:x


---------------------+
 PKGBUILD            |   12 +++++-----
 ivtv.install        |    6 ++---
 kernel-2.6.21.patch |   59 ++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 68 insertions(+), 9 deletions(-)


Index: extra/multimedia/ivtv/PKGBUILD
diff -u extra/multimedia/ivtv/PKGBUILD:1.33 extra/multimedia/ivtv/PKGBUILD:1.34
--- extra/multimedia/ivtv/PKGBUILD:1.33	Sat Mar  3 18:58:20 2007
+++ extra/multimedia/ivtv/PKGBUILD	Sun Apr 29 04:42:40 2007
@@ -1,18 +1,17 @@
-# $Id: PKGBUILD,v 1.33 2007/03/03 23:58:20 paul Exp $
+# $Id: PKGBUILD,v 1.34 2007/04/29 08:42:40 tpowa Exp $
 # Contributor: Sasha Zbrozek <kleptophobiac at gmail.com>
 # Maintainer: Paul Mattal <paul at archlinux.org>
 
 pkgname=ivtv
 pkgver=0.10.1
-pkgrel=1
-_kernver=2.6.20-ARCH
+pkgrel=3
+_kernver=2.6.21-ARCH
 pkgdesc="ivtv - Drivers for many types of PVR cards"
 arch=(i686 x86_64)
 url="http://ivtvdriver.org"
 install="ivtv.install"
-source=(http://dl.ivtvdriver.org/ivtv/archive/0.10.x/$pkgname-$pkgver.tar.gz kernel-2.6.20.patch)
+source=(http://dl.ivtvdriver.org/ivtv/archive/0.10.x/$pkgname-$pkgver.tar.gz kernel-2.6.21.patch)
 depends=(gcc 'ivtv-utils')
-md5sums=('4ae3c052fc00eb7ca509eb6e071ca2e2' '3097db55bddd8c6f8a7265766efc7f17')
 
 build() {
   cd $startdir/src || return 1
@@ -22,7 +21,7 @@
   # comment in the following line to turn off DMA transfers, if they're buggy
   # for you; they still are for me with PVR150 and Asus A8V
   #patch -Np1 <../ivtv-dma-errors.patch || return 1
-  #patch -Np3 -i ../kernel-2.6.20.patch || return 1
+  patch -Np1 -i ../kernel-2.6.21.patch || return 1
 
   # don't call depmod here; we call it in the install script
   sed -i 's|/sbin/depmod -a||' driver/Makefile i2c-drivers/Makefile || return 1
@@ -42,3 +41,4 @@
   # remove the non-modules; they're already installed in the -utils package
   rm -rf $startdir/pkg/{lib/firmware,usr} || return 1
 }
+md5sums=('4ae3c052fc00eb7ca509eb6e071ca2e2' 'f41cf670dc282c050bbd02abd454414b')
Index: extra/multimedia/ivtv/ivtv.install
diff -u extra/multimedia/ivtv/ivtv.install:1.7 extra/multimedia/ivtv/ivtv.install:1.8
--- extra/multimedia/ivtv/ivtv.install:1.7	Tue Feb  6 07:43:12 2007
+++ extra/multimedia/ivtv/ivtv.install	Sun Apr 29 04:42:41 2007
@@ -5,7 +5,7 @@
 post_install() {
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.20-ARCH
+  KERNEL_VERSION=2.6.21-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
   /bin/true
 }
@@ -13,7 +13,7 @@
 post_upgrade() {
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.20-ARCH
+  KERNEL_VERSION=2.6.21-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
   /bin/true
 }
@@ -21,7 +21,7 @@
 post_remove() {
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.20-ARCH
+  KERNEL_VERSION=2.6.21-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
   /bin/true
 }
Index: extra/multimedia/ivtv/kernel-2.6.21.patch
diff -u /dev/null extra/multimedia/ivtv/kernel-2.6.21.patch:1.1
--- /dev/null	Sun Apr 29 04:42:41 2007
+++ extra/multimedia/ivtv/kernel-2.6.21.patch	Sun Apr 29 04:42:41 2007
@@ -0,0 +1,59 @@
+diff -u -r 0.10.1/driver/ivtv-ioctl.c 0.10.1p/driver/ivtv-ioctl.c
+--- 0.10.1/driver/ivtv-ioctl.c	2007-02-18 04:34:16.000000000 -0500
++++ 0.10.1p/driver/ivtv-ioctl.c	2007-04-27 13:37:55.000000000 -0400
+@@ -556,8 +556,8 @@
+ 	/* ioctls to allow direct access to the encoder registers for testing */
+ 	case VIDIOC_INT_G_REGISTER:
+ 		IVTV_DEBUG_IOCTL("VIDIOC_INT_G_REGISTER\n");
+-		if (reg->i2c_id)
+-			return ivtv_i2c_id(itv, reg->i2c_id, cmd, reg);
++		if (reg->match_type == V4L2_CHIP_MATCH_I2C_DRIVER)
++			return ivtv_i2c_id(itv, reg->match_chip, cmd, reg);
+ 		return ivtv_itvc(itv, cmd, arg);
+ 
+ 	case VIDIOC_INT_S_REGISTER:
+@@ -566,8 +566,8 @@
+ 		cmd = VIDIOC_INT_S_REGISTER;
+ #endif
+ 		IVTV_DEBUG_IOCTL("VIDIOC_INT_S_REGISTER\n");
+-		if (reg->i2c_id)
+-			return ivtv_i2c_id(itv, reg->i2c_id, cmd, reg);
++		if (reg->match_type == V4L2_CHIP_MATCH_I2C_DRIVER)
++			return ivtv_i2c_id(itv, reg->match_chip, cmd, reg);
+ 		return ivtv_itvc(itv, cmd, arg);
+ 
+ 	case VIDIOC_INT_S_AUDIO_ROUTING: {
+diff -u -r 0.10.1/i2c-drivers/saa717x.c 0.10.1p/i2c-drivers/saa717x.c
+--- 0.10.1/i2c-drivers/saa717x.c	2006-11-24 08:48:32.000000000 -0500
++++ 0.10.1p/i2c-drivers/saa717x.c	2007-04-27 14:02:55.000000000 -0400
+@@ -62,6 +62,11 @@
+ #include <linux/i2c.h>
+ #include <media/v4l2-common.h>
+ 
++#ifdef VIDIOC_DBG_S_REGISTER
++#define VIDIOC_INT_S_REGISTER VIDIOC_DBG_S_REGISTER
++#define VIDIOC_INT_G_REGISTER VIDIOC_DBG_G_REGISTER
++#endif
++
+ MODULE_DESCRIPTION("Philips SAA717x video decoder driver");
+ MODULE_AUTHOR("Kevin Thayer, K. Ohta");
+ MODULE_LICENSE("GPL");
+@@ -1257,7 +1262,7 @@
+ 	{
+ 		struct v4l2_register *reg = arg;
+ 
+-		if (reg->i2c_id != I2C_DRIVERID_SAA717X)
++		if (reg->match_type == V4L2_CHIP_MATCH_I2C_DRIVER && reg->match_chip != I2C_DRIVERID_SAA717X)
+ 			return -EINVAL;
+ 		reg->val = saa717x_read(client, reg->reg);
+ 		break;
+@@ -1269,7 +1274,7 @@
+ 		u16 addr = reg->reg & 0xffff;
+ 		u8 val = reg->val & 0xff;
+ 
+-		if (reg->i2c_id != I2C_DRIVERID_SAA717X)
++		if (reg->match_type == V4L2_CHIP_MATCH_I2C_DRIVER && reg->match_chip != I2C_DRIVERID_SAA717X)
+ 			return -EINVAL;
+ 		if (!capable(CAP_SYS_ADMIN))
+ 			return -EPERM;
+ 




More information about the arch-commits mailing list